<template>
  <div>
    <div
      :class="[
        'mx-3',
        'px-3',
        'py-4',
        'flex',
        'items-center',
        'justify-between'
      ]"
    >
      <!-- Left align items -->
      <div class="flex gap-2 items-center">
        <ScorpionLogo
          width="24px"
          height="24px"
          variant="inverted"
        />
        <span>{{ GLOBALS.APP_NAME }}</span>
      </div>

      <!-- Right align items -->
      <div class="flex gap-2 items-center">
        <LangDropdown />
        <ThemeToggle />
      </div>
    </div>
    <div
      :class="[
        'mx-3',
        'mb-4',
        'h-0.5',
        'rounded-full',
        // 'bg-@dark-primary'
        'bg-gradient-to-r',
        'from-@dark-primary',
        'via-@dark-mirage',
        'to-@dark-error'
      ]"
    />
  </div>
</template>

<script>
import { toolbox } from '@hperchec/scorpion-ui'

const { mapComponent } = toolbox.template.utils

/**
 * LayoutHeader component
 */
export default {
  name: 'LayoutHeader',
  components: {
    LangDropdown: mapComponent('vue.components.shared.LangDropdown'),
    ThemeToggle: mapComponent('vue.components.shared.ThemeToggle')
  }
}
</script>
